/* weekly */
body {
  -ms-overflow-style: none;
}

::-webkit-scrollbar {
  display: none;
}

.title-wrap {
  margin-bottom: 16px;
}

.warning {
  margin: 16px 14px 0 14px;
}

.btm-line {
  margin: 0 24px;
}

.weather-detail-wrap {
  padding-bottom: 20px;
  margin: 0 -10px 13px;
}

.weather-detail-info-wrap:first-of-type {
  border-bottom: 1px solid;
  border-color: var(--border-color);
  padding-bottom: 5px;
}

.weather-detail-info-wrap:last-of-type {
  padding-top: 15px;
}
.today-story {
  display: none !important;
}

/* 데이터 변경1 */

#title_datachange_wrap{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

#data_change_dropdown_mobile {
  padding-right: 14px;
}

.data_change_dropdown{
  display: inline-block;
  position: relative;
  cursor: pointer;
  user-select: none;
}
/* 선택된 영역 */
.data_change_selected {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 18px;
  min-width: 100px;
  height: 30px;
  padding: 6px 10px;
  gap: 8px;
}
.data_change_image_value_wrap{
  display: flex;
  flex-direction: row;
  align-items: center;
}

/* 이미지 Wrapper */
.data_change_image_wrap {
  width: 18px;
  height: 18px;
  display: flex;
  align-items: center;
  margin-right: 6px;
  flex-shrink: 0;
  border-radius: 50%;
  background: #fff;
  padding: 3px;
}

/* 이미지 자체 */
.data_change_image {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* 텍스트 */
.data_change_value {
  font-size: 13px;
  font-weight: var(--weight-medium);
  color: #010101;
  overflow: hidden;
  text-overflow: clip;
  white-space: nowrap;
}

/* 옵션 리스트 */
.data_change_option_list {
  position: absolute;
  top: 30px;
  right: 0;
  min-width: 100%;
  width: max-content; 
  white-space: nowrap;
  box-shadow: 0 8px 8px 0 rgba(0, 0, 0, 0.15);
  margin: 4px 0 0 0;
  list-style: none;
  display: none;
  overflow: hidden;
  z-index: 2;
  border-radius: var(--border-radius-small);
}

/* 열릴 때 */
.data_change_dropdown.open .data_change_option_list {
  display: block;
}

/* 옵션 항목 */
.data_change_option {
  display: flex;
  align-items: center;
  padding: 8px 10px;
  cursor: pointer;
  gap: 8px;  /* 이미지와 텍스트 간격 */
}
.data_change_option:first-child {
  padding: 10px;  /* 🔥 위쪽 padding */
  border-top-left-radius: var(--border-radius-small);
  border-top-right-radius: var(--border-radius-small);
}
/* 마지막 옵션 */
.data_change_option:last-child {
  padding: 10px;  /* 🔥 아래쪽 padding */
  border-bottom-left-radius: var(--border-radius-small);
  border-bottom-right-radius: var(--border-radius-small);
}


/* 화살표 회전 */
#data_change_arrow_wrap{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
#data_change_arrow {
  width: 12px;
  transition: transform 0.3s ease-in-out;
  filter: brightness(0) invert(1);
}

.data_change_dropdown.open #data_change_arrow {
  transform: rotate(180deg);
}

/* 태블릿 */
@media screen and (min-width: 950px) {
  .weather-detail-info-wrap:first-of-type {
    border-bottom: none;
  }
}
@media all and (min-width: 768px) {
  .title-wrap {
    background: var(--card-color);
    border-radius: var(--border-radius-medium);
    padding: 16px 20px 20px 20px;
  }

  .title-wrap .headline,
  .title-wrap #loc.sub-title {
    padding-left: 0;
  }
  #data_change_dropdown_mobile {
    padding-right: 0px;
  }

  [dir='rtl'] .title-wrap .headline,
  [dir='rtl'] .title-wrap #loc.sub-title {
    padding-right: 0;
  }

  .warning {
    margin: 16px 0 0;
  }

  .weather-detail-close {
    padding: 0px;
    border-radius: var(--border-radius-medium) var(--border-radius-medium) 0 0;
  }

  .weather-detail-wrap .weekly-container {
    border-radius: 0 0 var(--border-radius-medium) var(--border-radius-medium);
  }

  .weather-detail-wrap {
    margin: 0 0 13px;
  }

  .detail-close {
    padding: 14px 20px;
  }

  .nav-container {
    /* left: 0;
    max-width: 1080px; */
  }
}

@media (max-width: 400px) {
  /* 카드 데이터 줄바꿈 방지 */
  /* .weather-detail-info .weather-card-wrap .weather-card {
    padding: 14px 16px;
  }

  .weather-detail-info .weather-card-wrap .weather-card p {
    font-size: 20px;
  } */
}

@media (max-width: 360px) {
  /* 카드 데이터 줄바꿈 방지 */
  /* .weather-detail-info .weather-card-wrap .weather-card {
    padding: 14px 14px;
  }

  .weather-detail-info .weather-card-wrap .weather-card p {
    font-size: 16px;
  } */
}

@media (max-width: 330px) {
  /* 카드 데이터 줄바꿈 방지 */
  /* .weather-detail-info .weather-card-wrap .weather-card p {
    font-size: 15px;
  } */
}

@media (max-width: 300px) {
  /* 카드 데이터 줄바꿈 방지 */
  /* .weather-detail-info .weather-card-wrap .weather-card {
    padding: 14px 12px;
  }

  .weather-detail-info .weather-card-wrap .weather-card p {
    font-size: 14px;
  } */
}

@media (max-width: 280px) {
  .nav-container {
    justify-content: space-evenly;
  }
}
@media (max-width: 768px) {
  .today-story {
    display: flex !important;
  }
}

/* 다크모드 */
@media (prefers-color-scheme: dark) {
  .weather-detail-close.active,
  .weather-detail-wrap .weekly-container {
    background-color: var(--color-d1);
  }

  .weather-detail-info .weather-card,
  .weather-detail-info .weather-card-wrap .weather-card {
    background-color: var(--color-d3);
  }
}
